MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003500ATutorAdminpublic2008-07-21 02:252009-07-21 08:52
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003500: Patcher: i18n-related bug in JavaScript
DescriptionIn _mods/standard/patcher/patch_edit_interface.tmpl.php, a variable ACTION_HTML_TEMPLATE is assigned a large block of HTML text, including several langvars.
If one of those langvars containts single quotes ('), parsing the javascript fails, and the entire block of file manipulations (effectively, the patcher module as a whole) becomes unusable.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003142)
greg (administrator)
2008-08-21 08:37

look at before the fall release
(0003329)
greg (administrator)
2008-11-13 10:09

bump
(0003383)
cindy (administrator)
2008-11-17 07:01

Solution: use addslashes() to escape special chars.

SVN Revision: 8232

Affected script: mods/_standard/patcher/patch_edit_interface.tmpl.php

- Issue History
Date Modified Username Field Change
2008-07-21 02:25 IndieRect New Issue
2008-07-21 02:25 IndieRect Affects version => SVN
2008-08-21 08:37 greg Note Added: 0003142
2008-08-21 08:37 greg Assigned To => cindy
2008-08-21 08:37 greg Status new => assigned
2008-11-13 10:09 greg Note Added: 0003329
2008-11-17 07:01 cindy Status assigned => resolved
2008-11-17 07:01 cindy Fixed in Version => 1.6.2
2008-11-17 07:01 cindy Resolution open => fixed
2008-11-17 07:01 cindy Note Added: 0003383
2009-07-21 08:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker